<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" href="css/style.css"/>
    <script type="text/javascript" src="phaser/phaser.min.js"></script>
    <script type="text/javascript" src="codemirror/lib/codemirror.js"></script>
    <script type="text/javascript" src="codemirror/mode/javascript/javascript.js"></script>
    <script type="text/javascript" src="codemirror/mode/python/python.js"></script>
    <link rel="stylesheet" type="text/css" href="codemirror/lib/codemirror.css"/>
    <script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css" integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M" crossorigin="anonymous">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/js/bootstrap.min.js" integrity="sha384-h0AbiXch4ZDo7tp9hKZ4TsHbi047NrKGLO3SEJAg45jXxnGIfYzk4Si90RDIqNm1" crossorigin="anonymous"></script>
    <title>Basic multiplayer online game</title>
</head>
<body>
    <div id="custom-ide">
      <textarea id="custom-ide-content"></textarea>
      <button id="button-send-function" type="button" class="btn btn-primary">Submit</button>
    </div>
    <div id="game">
    </div>
</body>
<script>
  var editor = CodeMirror.fromTextArea(document.getElementById('custom-ide-content'), {
    mode:  "python",
    lineNumbers: true
  });
  editor.setSize(500, 300);
  // editor.getDoc().setValue('function myScript(){return 100;}\n');
</script>
<script src="/socketio-client/socket.io.js"></script>
<script>
var socket = io.connect('http://localhost:4200');
</script>
<script src="js/main.js" type="text/javascript"></script>
<script>
$.ajax({
  type: "GET",
  url: "/function/get",
  success: (result) => {
    editor.getDoc().setValue(result.function);
  }
})
$("#button-send-function").click(function(e) {
    e.preventDefault();
    $.ajax({
        type: "POST",
        url: "/function/update",
        data: {
            function: editor.getValue()
        }
    });
});
</script>
</html>
